%define version 1.09
%define release 2

Summary: eSpeak is a software speech synthesizer (text to speech)
Name: espeak
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Packager: Francois Aucamp <faucamp@csir.co.za>
Group: Applications/Multimedia
Source: http://prdownloads.sourceforge.net/espeak/speak-%{version}-source.zip
URL: http://espeak.sourceforge.net
Patch0: fedora_makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: portaudio
Requires: portaudio

%description
eSpeak is a software speech synthesizer for English, and potentially other languages.

eSpeak produces good quality English speech. It uses a different synthesis method from
other open source TTS engines, and sounds quite different. It's perhaps not as natural
or "smooth", but some people may find the articulation clearer and easier to listen to
for long periods.

It can run as a command line program to speak text from a file or from stdin.

%prep
%setup -n speak-%{version}-source
%patch0 -p1 -b .orig

%build
rm -rf %{buildroot}
cd src
make

%pre

%install
# Install executable
mkdir -p %{buildroot}/usr/bin
install -m 0755 src/speak %{buildroot}/usr/bin/speak

# Install data files:
mkdir -p %{buildroot}/usr/share/espeak-data/voices
install -m 0664 espeak-data/english_1 %{buildroot}/usr/share/espeak-data
install -m 0664 espeak-data/english_2 %{buildroot}/usr/share/espeak-data
install -m 0664 espeak-data/esperanto_1 %{buildroot}/usr/share/espeak-data
install -m 0664 espeak-data/esperanto_2 %{buildroot}/usr/share/espeak-data
install -m 0664 espeak-data/german_1 %{buildroot}/usr/share/espeak-data
install -m 0664 espeak-data/german_2 %{buildroot}/usr/share/espeak-data
install -m 0664 espeak-data/phondata %{buildroot}/usr/share/espeak-data
install -m 0664 espeak-data/phonindex %{buildroot}/usr/share/espeak-data
install -m 0664 espeak-data/phontab %{buildroot}/usr/share/espeak-data
install -m 0664 espeak-data/voices/* %{buildroot}/usr/share/espeak-data/voices

%post
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog License.txt docs/* riscos
/usr/bin/speak
/usr/share/espeak-data

%changelog
* Wed Apr 26 2006 Francois Aucamp <faucamp@csir.co.za> - 1.09-2
- Cleaned up spec file
- Modified spec file to allow multiple distribution-build from single source rpm
- Removed "devel" package creation
- Rebuilt for Fedora Core 5

* Tue Apr 11 2006 Francois Aucamp <faucamp@csir.co.za> - 1.09-1
- Initial RPM build for Fedora Core 4
